Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Plugin Development Environment (PDE) » Bundle-ClassPath not processed in 3.5RC1
Bundle-ClassPath not processed in 3.5RC1 [message #62269] Wed, 20 May 2009 11:39 Go to next message
Dann Martens is currently offline Dann MartensFriend
Messages: 65
Registered: July 2009
Member
Before I file this as a bug, just a quick cross-reference.

I've added a jar to the plug-in project, and then declared that jar in
the 'Classpath' area under the 'Runtime' tab of the Manifest editor.

Yet, the 'Exported Packages' area remains disabled. I cannot 'Add,
Remove, ...'. The buttons are disabled. I've tried different jars from
different sources to check if the problem is associated with the package
itself, but the problems remains.

Any feedback on this?

Best,
Dann
Re: Bundle-ClassPath not processed in 3.5RC1 [message #62293 is a reply to message #62269] Wed, 20 May 2009 12:08 Go to previous messageGo to next message
Dann Martens is currently offline Dann MartensFriend
Messages: 65
Registered: July 2009
Member
.... I forgot to add this:

Manually adding the corresponding 'Export-Package' header to the
Manifest, with the expected packages yields the error message that this
package does not exist in this plug-in.
Re: Bundle-ClassPath not processed in 3.5RC1 [message #62317 is a reply to message #62293] Wed, 20 May 2009 12:17 Go to previous messageGo to next message
Dann Martens is currently offline Dann MartensFriend
Messages: 65
Registered: July 2009
Member
Repeated the steps with 3.5M7 and there it still works.

If someone from the PDE team gives me a nudge, I'll enter this as a bug.

Best regards,
Dann

Dann Martens wrote:
> ... I forgot to add this:
>
> Manually adding the corresponding 'Export-Package' header to the
> Manifest, with the expected packages yields the error message that this
> package does not exist in this plug-in.
Re: Bundle-ClassPath not processed in 3.5RC1 [message #62464 is a reply to message #62317] Thu, 21 May 2009 13:28 Go to previous message
Dann Martens is currently offline Dann MartensFriend
Messages: 65
Registered: July 2009
Member
I have found the way to reproduce this, and contrary to my previous
statement, those exact steps also cause the same problem in 3.5M7; I'll
file a bug on this one.


Dann Martens wrote:
> Repeated the steps with 3.5M7 and there it still works.
>
> If someone from the PDE team gives me a nudge, I'll enter this as a bug.
>
> Best regards,
> Dann
>
> Dann Martens wrote:
>> ... I forgot to add this:
>>
>> Manually adding the corresponding 'Export-Package' header to the
>> Manifest, with the expected packages yields the error message that
>> this package does not exist in this plug-in.
Re: Bundle-ClassPath not processed in 3.5RC1 [message #597660 is a reply to message #62269] Wed, 20 May 2009 12:08 Go to previous message
Dann Martens is currently offline Dann MartensFriend
Messages: 65
Registered: July 2009
Member
.... I forgot to add this:

Manually adding the corresponding 'Export-Package' header to the
Manifest, with the expected packages yields the error message that this
package does not exist in this plug-in.
Re: Bundle-ClassPath not processed in 3.5RC1 [message #597667 is a reply to message #62293] Wed, 20 May 2009 12:17 Go to previous message
Dann Martens is currently offline Dann MartensFriend
Messages: 65
Registered: July 2009
Member
Repeated the steps with 3.5M7 and there it still works.

If someone from the PDE team gives me a nudge, I'll enter this as a bug.

Best regards,
Dann

Dann Martens wrote:
> ... I forgot to add this:
>
> Manually adding the corresponding 'Export-Package' header to the
> Manifest, with the expected packages yields the error message that this
> package does not exist in this plug-in.
Re: Bundle-ClassPath not processed in 3.5RC1 [message #597711 is a reply to message #62317] Thu, 21 May 2009 13:28 Go to previous message
Dann Martens is currently offline Dann MartensFriend
Messages: 65
Registered: July 2009
Member
I have found the way to reproduce this, and contrary to my previous
statement, those exact steps also cause the same problem in 3.5M7; I'll
file a bug on this one.


Dann Martens wrote:
> Repeated the steps with 3.5M7 and there it still works.
>
> If someone from the PDE team gives me a nudge, I'll enter this as a bug.
>
> Best regards,
> Dann
>
> Dann Martens wrote:
>> ... I forgot to add this:
>>
>> Manually adding the corresponding 'Export-Package' header to the
>> Manifest, with the expected packages yields the error message that
>> this package does not exist in this plug-in.
Previous Topic:More control over Eclipse builders
Next Topic:Update Manager port?
Goto Forum:
  


Current Time: Tue Jun 15 17:35:33 GMT 2021

Powered by FUDForum. Page generated in 0.02752 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top